// **************************************************************************
// clientmsgsender.cc,v 1.4 2007/01/30 18:53:29 cnepveu Exp
//
// Copyright (c) 2007 Hexago Inc. All rights reserved.
// 
//   LICENSE NOTICE: You may use and modify this source code only if you
//   have executed a valid license agreement with Hexago Inc. granting
//   you the right to do so, the said license agreement governing such
//   use and modifications.   Copyright or other intellectual property
//   notices are not to be removed from the source code.
//
// Description:
//   Implementation of the ClientMsgSender class.
//
// Author: Charles Nepveu
//
// Creation Date: November 2006
// __________________________________________________________________________
// **************************************************************************
#include <gw6cmessaging/clientmsgsender.h>
#include <assert.h>


namespace gw6cmessaging
{
// --------------------------------------------------------------------------
// Function : ClientMsgSender constructor
//
// Description:
//   Will initialize a new ClientMsgSender object.
//
// Arguments: (none)
//
// Return values: (N/A)
//
// --------------------------------------------------------------------------
ClientMsgSender::ClientMsgSender( void )
{
}

// --------------------------------------------------------------------------
// Function : ClientMsgSender destructor
//
// Description:
//   Will clean-up space allocated during object lifetime.
//
// Arguments: (none)
//
// Return values: (N/A)
//
// --------------------------------------------------------------------------
ClientMsgSender::~ClientMsgSender( void )
{
}


// --------------------------------------------------------------------------
// Function : Send_StatusRequest
//
// Description:
//   Will post a message for a status info request.
//
// Arguments: (none)
//
// Return values: (none)
//
// --------------------------------------------------------------------------
void ClientMsgSender::Send_StatusInfoRequest( void )
{
  Message* pMsg;


  // No need to send data in requests messages.
  pMsg = Message::CreateMessage( MESSAGEID_REQUEST_STATUSINFO, 0, NULL );
  assert( pMsg != NULL );


  // Post the message.
  PostMessage( pMsg );
}


// --------------------------------------------------------------------------
// Function : Send_StatusRequest
//
// Description:
//   Will post a message for a tunnel info request.
//
// Arguments: (none)
//
// Return values: (none)
//
// --------------------------------------------------------------------------
void ClientMsgSender::Send_TunnelInfoRequest( void )
{
  Message* pMsg;


  // No need to send data in requests messages.
  pMsg = Message::CreateMessage( MESSAGEID_REQUEST_TUNNELINFO, 0, NULL );
  assert( pMsg != NULL );


  // Post the message.
  PostMessage( pMsg );
}


// --------------------------------------------------------------------------
// Function : Send_StatusRequest
//
// Description:
//   Will post a message for a broker list request.
//
// Arguments: (none)
//
// Return values: (none)
//
// --------------------------------------------------------------------------
void ClientMsgSender::Send_BrokerListRequest( void )
{
  Message* pMsg;


  // No need to send data in requests messages.
  pMsg = Message::CreateMessage( MESSAGEID_REQUEST_BROKERLIST, 0, NULL );
  assert( pMsg != NULL );


  // Post the message.
  PostMessage( pMsg );
}

} // namespace
